'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema');

class CallSchema extends Schema {
  up() {
    this.create('calls', (table) => {
      table.increments();
      table.string('state').notNullable();
      table.bigInteger('user_1').notNullable();
      table.bigInteger('user_2').notNullable();
      table.bigInteger('child_id').notNullable();
      table.timestamps();
      table.index(['child_id']);
      table.index(['user_1']);
      table.index(['user_2']);
    })
  }

  down() {
    this.drop('calls');
  }
}

module.exports = CallSchema;
